org.apache.sysds.api.mlcontext

## Class MLResults

- java.lang.Object
- - org.apache.sysds.api.mlcontext.MLResults

-     public class MLResults
      extends Object

  MLResults handles the results returned from executing a Script using the MLContext API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLResults()`
    `MLResults(LocalVariableMap symbolTable)`
    `MLResults(Script script)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(String outputName)` Obtain a serializable object as output
    `boolean` | `getBoolean(String outputName)` Obtain a `boolean` output
    `Data` | `getData(String outputName)` Obtain an output as a `Data` object.
    `org.apache.spark.sql.Dataset<org.apache.spark.sql.Row>` | `getDataFrame(String outputName)` Obtain an output as a `DataFrame`.
    `org.apache.spark.sql.Dataset<org.apache.spark.sql.Row>` | `getDataFrame(String outputName, boolean isVectorDF)` Obtain an output as a `DataFrame` of doubles or vectors with an ID column.
    `org.apache.spark.sql.Dataset<org.apache.spark.sql.Row>` | `getDataFrameDoubleNoIDColumn(String outputName)` Obtain an output as a `DataFrame` of doubles with no ID column.
    `org.apache.spark.sql.Dataset<org.apache.spark.sql.Row>` | `getDataFrameDoubleWithIDColumn(String outputName)` Obtain an output as a `DataFrame` of doubles with an ID column.
    `org.apache.spark.sql.Dataset<org.apache.spark.sql.Row>` | `getDataFrameVectorNoIDColumn(String outputName)` Obtain an output as a `DataFrame` of vectors with no ID column.
    `org.apache.spark.sql.Dataset<org.apache.spark.sql.Row>` | `getDataFrameVectorWithIDColumn(String outputName)` Obtain an output as a `DataFrame` of vectors with an ID column.
    `double` | `getDouble(String outputName)` Obtain a `double` output
    `Frame` | `getFrame(String outputName)` Obtain an output as a `Frame`.
    `String[][]` | `getFrameAs2DStringArray(String outputName)` Obtain an output as a two-dimensional `String` array.
    `FrameObject` | `getFrameObject(String outputName)` Obtain an output as a `FrameObject`
    `org.apache.spark.api.java.JavaRDD<String>` | `getJavaRDDStringCSV(String outputName)` Obtain an output as a `JavaRDD<String>` in CSV format.
    `org.apache.spark.api.java.JavaRDD<String>` | `getJavaRDDStringIJV(String outputName)` Obtain an output as a `JavaRDD<String>` in IJV format.
    `long` | `getLong(String outputName)` Obtain a `long` output
    `Matrix` | `getMatrix(String outputName)` Obtain an output as a `Matrix`.
    `double[][]` | `getMatrixAs2DDoubleArray(String outputName)` Obtain an output as a two-dimensional `double` array.
    `MatrixObject` | `getMatrixObject(String outputName)` Obtain an output as a `MatrixObject`
    `org.apache.spark.rdd.RDD<String>` | `getRDDStringCSV(String outputName)` Obtain an output as a `RDD<String>` in CSV format.
    `org.apache.spark.rdd.RDD<String>` | `getRDDStringIJV(String outputName)` Obtain an output as a `RDD<String>` in IJV format.
    `ScalarObject` | `getScalarObject(String outputName)` Obtain an output as a `Scalar` object.
    `Script` | `getScript()` Obtain the Script object associated with these results.
    `String` | `getString(String outputName)` Obtain a `String` output
    `LocalVariableMap` | `getSymbolTable()` Obtain the symbol table, which is essentially a `Map<String, Data>` representing variables and their values as SystemDS representations.
    `<T> scala.Tuple1<T>` | `getTuple(String outputName1)` Obtain a Scala tuple.
    `<T1,T2> scala.Tuple2<T1,T2>` | `getTuple(String outputName1, String outputName2)` Obtain a Scala tuple.
    `<T1,T2,T3> scala.Tuple3<T1,T2,T3>` | `getTuple(String outputName1, String outputName2, String outputName3)` Obtain a Scala tuple.
    `<T1,T2,T3,T4> scala.Tuple4<T1,T2,T3,T4>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5> scala.Tuple5<T1,T2,T3,T4,T5>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6> scala.Tuple6<T1,T2,T3,T4,T5,T6>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7> scala.Tuple7<T1,T2,T3,T4,T5,T6,T7>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8> scala.Tuple8<T1,T2,T3,T4,T5,T6,T7,T8>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9> scala.Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10> scala.Tuple10<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11> scala.Tuple11<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12> scala.Tuple12<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13> scala.Tuple13<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14> scala.Tuple14<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15> scala.Tuple15<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> scala.Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15, String outputName16)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17> scala.Tuple17<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15, String outputName16, String outputName17)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18> scala.Tuple18<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15, String outputName16, String outputName17, String outputName18)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19> scala.Tuple19<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15, String outputName16, String outputName17, String outputName18, String outputName19)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20> scala.Tuple20<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15, String outputName16, String outputName17, String outputName18, String outputName19, String outputName20)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21> scala.Tuple21<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15, String outputName16, String outputName17, String outputName18, String outputName19, String outputName20, String outputName21)` Obtain a Scala tuple.
    `<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21,T22> scala.Tuple22<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21,T22>` | `getTuple(String outputName1, String outputName2, String outputName3, String outputName4, String outputName5, String outputName6, String outputName7, String outputName8, String outputName9, String outputName10, String outputName11, String outputName12, String outputName13, String outputName14, String outputName15, String outputName16, String outputName17, String outputName18, String outputName19, String outputName20, String outputName21, String outputName22)` Obtain a Scala tuple.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MLResults

          public MLResults()

    - #### MLResults

          public MLResults(LocalVariableMap symbolTable)

    - #### MLResults

          public MLResults(Script script)

  - ### Method Detail

    - #### getData

          public Data getData(String outputName)

      Obtain an output as a `Data` object.
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `Data` object

    - #### getMatrixObject

          public MatrixObject getMatrixObject(String outputName)

      Obtain an output as a `MatrixObject`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `MatrixObject`

    - #### getFrameObject

          public FrameObject getFrameObject(String outputName)

      Obtain an output as a `FrameObject`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `FrameObject`

    - #### getMatrixAs2DDoubleArray

          public double[][] getMatrixAs2DDoubleArray(String outputName)

      Obtain an output as a two-dimensional `double` array.
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a two-dimensional `double` array

    - #### getJavaRDDStringIJV

          public org.apache.spark.api.java.JavaRDD<String> getJavaRDDStringIJV(String outputName)

      Obtain an output as a `JavaRDD<String>` in IJV format.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `JavaRDD<String>` in IJV format:

      `1 1 1.0
      1 2 2.0
      2 1 3.0
      2 2 4.0`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `JavaRDD<String>` in IJV format

    - #### getJavaRDDStringCSV

          public org.apache.spark.api.java.JavaRDD<String> getJavaRDDStringCSV(String outputName)

      Obtain an output as a `JavaRDD<String>` in CSV format.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `JavaRDD<String>` in CSV format:

      `1.0,2.0
      3.0,4.0`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `JavaRDD<String>` in CSV format

    - #### getRDDStringCSV

          public org.apache.spark.rdd.RDD<String> getRDDStringCSV(String outputName)

      Obtain an output as a `RDD<String>` in CSV format.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `RDD<String>` in CSV format:

      `1.0,2.0
      3.0,4.0`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `RDD<String>` in CSV format

    - #### getRDDStringIJV

          public org.apache.spark.rdd.RDD<String> getRDDStringIJV(String outputName)

      Obtain an output as a `RDD<String>` in IJV format.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `RDD<String>` in IJV format:

      `1 1 1.0
      1 2 2.0
      2 1 3.0
      2 2 4.0`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `RDD<String>` in IJV format

    - #### getDataFrame

          public org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> getDataFrame(String outputName)

      Obtain an output as a `DataFrame`. If outputting a Matrix, this will be a DataFrame of doubles with an ID column.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `DataFrame` of doubles:

      `[1.0,1.0,2.0]
      [2.0,3.0,4.0]`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `DataFrame`

    - #### getDataFrame

          public org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> getDataFrame(String outputName,
                                                                                     boolean isVectorDF)

      Obtain an output as a `DataFrame` of doubles or vectors with an ID column.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `DataFrame` of doubles:

      `[1.0,1.0,2.0]
      [2.0,3.0,4.0]`

      or the following `DataFrame` of vectors:

      `[1.0,[1.0,2.0]]
      [2.0,[3.0,4.0]]`
      Parameters:
        `outputName` - the name of the output
        `isVectorDF` - `true` for a vector `DataFrame`, `false` for a double `DataFrame`
      Returns:
        the output as a `DataFrame` of doubles or vectors with an ID column

    - #### getDataFrameDoubleWithIDColumn

          public org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> getDataFrameDoubleWithIDColumn(String outputName)

      Obtain an output as a `DataFrame` of doubles with an ID column.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `DataFrame` of doubles:

      `[1.0,1.0,2.0]
      [2.0,3.0,4.0]`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `DataFrame` of doubles with an ID column

    - #### getDataFrameVectorWithIDColumn

          public org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> getDataFrameVectorWithIDColumn(String outputName)

      Obtain an output as a `DataFrame` of vectors with an ID column.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `DataFrame` of vectors:

      `[1.0,[1.0,2.0]]
      [2.0,[3.0,4.0]]`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `DataFrame` of vectors with an ID column

    - #### getDataFrameDoubleNoIDColumn

          public org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> getDataFrameDoubleNoIDColumn(String outputName)

      Obtain an output as a `DataFrame` of doubles with no ID column.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `DataFrame` of doubles:

      `[1.0,2.0]
      [3.0,4.0]`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `DataFrame` of doubles with no ID column

    - #### getDataFrameVectorNoIDColumn

          public org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> getDataFrameVectorNoIDColumn(String outputName)

      Obtain an output as a `DataFrame` of vectors with no ID column.

      The following matrix in DML:

      `M = full('1 2 3 4', rows=2, cols=2);`

      is equivalent to the following `DataFrame` of vectors:

      `[[1.0,2.0]]
      [[3.0,4.0]]`
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `DataFrame` of vectors with no ID column

    - #### getMatrix

          public Matrix getMatrix(String outputName)

      Obtain an output as a `Matrix`.
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `Matrix`

    - #### getFrame

          public Frame getFrame(String outputName)

      Obtain an output as a `Frame`.
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `Frame`

    - #### getFrameAs2DStringArray

          public String[][] getFrameAs2DStringArray(String outputName)

      Obtain an output as a two-dimensional `String` array.
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a two-dimensional `String` array

    - #### getDouble

          public double getDouble(String outputName)

      Obtain a `double` output
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `double`

    - #### get

          public Object get(String outputName)

      Obtain a serializable object as output
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a serializable object.

    - #### getScalarObject

          public ScalarObject getScalarObject(String outputName)

      Obtain an output as a `Scalar` object.
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `Scalar` object

    - #### getBoolean

          public boolean getBoolean(String outputName)

      Obtain a `boolean` output
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `boolean`

    - #### getLong

          public long getLong(String outputName)

      Obtain a `long` output
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `long`

    - #### getString

          public String getString(String outputName)

      Obtain a `String` output
      Parameters:
        `outputName` - the name of the output
      Returns:
        the output as a `String`

    - #### getScript

          public Script getScript()

      Obtain the Script object associated with these results.
      Returns:
        the DML or PYDML Script object

    - #### getTuple

          public <T> scala.Tuple1<T> getTuple(String outputName1)

      Obtain a Scala tuple.
      Type Parameters:
        `T` - the type of the first output
      Parameters:
        `outputName1` - the name of the first output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2> scala.Tuple2<T1,T2> getTuple(String outputName1,
                                                      String outputName2)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3> scala.Tuple3<T1,T2,T3> getTuple(String outputName1,
                                                            String outputName2,
                                                            String outputName3)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4> scala.Tuple4<T1,T2,T3,T4> getTuple(String outputName1,
                                                                  String outputName2,
                                                                  String outputName3,
                                                                  String outputName4)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5> scala.Tuple5<T1,T2,T3,T4,T5> getTuple(String outputName1,
                                                                        String outputName2,
                                                                        String outputName3,
                                                                        String outputName4,
                                                                        String outputName5)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6> scala.Tuple6<T1,T2,T3,T4,T5,T6> getTuple(String outputName1,
                                                                              String outputName2,
                                                                              String outputName3,
                                                                              String outputName4,
                                                                              String outputName5,
                                                                              String outputName6)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7> scala.Tuple7<T1,T2,T3,T4,T5,T6,T7> getTuple(String outputName1,
                                                                                    String outputName2,
                                                                                    String outputName3,
                                                                                    String outputName4,
                                                                                    String outputName5,
                                                                                    String outputName6,
                                                                                    String outputName7)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8> scala.Tuple8<T1,T2,T3,T4,T5,T6,T7,T8> getTuple(String outputName1,
                                                                                          String outputName2,
                                                                                          String outputName3,
                                                                                          String outputName4,
                                                                                          String outputName5,
                                                                                          String outputName6,
                                                                                          String outputName7,
                                                                                          String outputName8)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9> scala.Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9> getTuple(String outputName1,
                                                                                                String outputName2,
                                                                                                String outputName3,
                                                                                                String outputName4,
                                                                                                String outputName5,
                                                                                                String outputName6,
                                                                                                String outputName7,
                                                                                                String outputName8,
                                                                                                String outputName9)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10> scala.Tuple10<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10> getTuple(String outputName1,
                                                                                                         String outputName2,
                                                                                                         String outputName3,
                                                                                                         String outputName4,
                                                                                                         String outputName5,
                                                                                                         String outputName6,
                                                                                                         String outputName7,
                                                                                                         String outputName8,
                                                                                                         String outputName9,
                                                                                                         String outputName10)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11> scala.Tuple11<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11> getTuple(String outputName1,
                                                                                                                 String outputName2,
                                                                                                                 String outputName3,
                                                                                                                 String outputName4,
                                                                                                                 String outputName5,
                                                                                                                 String outputName6,
                                                                                                                 String outputName7,
                                                                                                                 String outputName8,
                                                                                                                 String outputName9,
                                                                                                                 String outputName10,
                                                                                                                 String outputName11)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12> scala.Tuple12<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12> getTuple(String outputName1,
                                                                                                                         String outputName2,
                                                                                                                         String outputName3,
                                                                                                                         String outputName4,
                                                                                                                         String outputName5,
                                                                                                                         String outputName6,
                                                                                                                         String outputName7,
                                                                                                                         String outputName8,
                                                                                                                         String outputName9,
                                                                                                                         String outputName10,
                                                                                                                         String outputName11,
                                                                                                                         String outputName12)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13> scala.Tuple13<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13> getTuple(String outputName1,
                                                                                                                                 String outputName2,
                                                                                                                                 String outputName3,
                                                                                                                                 String outputName4,
                                                                                                                                 String outputName5,
                                                                                                                                 String outputName6,
                                                                                                                                 String outputName7,
                                                                                                                                 String outputName8,
                                                                                                                                 String outputName9,
                                                                                                                                 String outputName10,
                                                                                                                                 String outputName11,
                                                                                                                                 String outputName12,
                                                                                                                                 String outputName13)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14> scala.Tuple14<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14> getTuple(String outputName1,
                                                                                                                                         String outputName2,
                                                                                                                                         String outputName3,
                                                                                                                                         String outputName4,
                                                                                                                                         String outputName5,
                                                                                                                                         String outputName6,
                                                                                                                                         String outputName7,
                                                                                                                                         String outputName8,
                                                                                                                                         String outputName9,
                                                                                                                                         String outputName10,
                                                                                                                                         String outputName11,
                                                                                                                                         String outputName12,
                                                                                                                                         String outputName13,
                                                                                                                                         String outputName14)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15> scala.Tuple15<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15> getTuple(String outputName1,
                                                                                                                                                 String outputName2,
                                                                                                                                                 String outputName3,
                                                                                                                                                 String outputName4,
                                                                                                                                                 String outputName5,
                                                                                                                                                 String outputName6,
                                                                                                                                                 String outputName7,
                                                                                                                                                 String outputName8,
                                                                                                                                                 String outputName9,
                                                                                                                                                 String outputName10,
                                                                                                                                                 String outputName11,
                                                                                                                                                 String outputName12,
                                                                                                                                                 String outputName13,
                                                                                                                                                 String outputName14,
                                                                                                                                                 String outputName15)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> scala.Tuple16<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16> getTuple(String outputName1,
                                                                                                                                                         String outputName2,
                                                                                                                                                         String outputName3,
                                                                                                                                                         String outputName4,
                                                                                                                                                         String outputName5,
                                                                                                                                                         String outputName6,
                                                                                                                                                         String outputName7,
                                                                                                                                                         String outputName8,
                                                                                                                                                         String outputName9,
                                                                                                                                                         String outputName10,
                                                                                                                                                         String outputName11,
                                                                                                                                                         String outputName12,
                                                                                                                                                         String outputName13,
                                                                                                                                                         String outputName14,
                                                                                                                                                         String outputName15,
                                                                                                                                                         String outputName16)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
        `T16` - the type of the sixteenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
        `outputName16` - the name of the sixteenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17> scala.Tuple17<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17> getTuple(String outputName1,
                                                                                                                                                                 String outputName2,
                                                                                                                                                                 String outputName3,
                                                                                                                                                                 String outputName4,
                                                                                                                                                                 String outputName5,
                                                                                                                                                                 String outputName6,
                                                                                                                                                                 String outputName7,
                                                                                                                                                                 String outputName8,
                                                                                                                                                                 String outputName9,
                                                                                                                                                                 String outputName10,
                                                                                                                                                                 String outputName11,
                                                                                                                                                                 String outputName12,
                                                                                                                                                                 String outputName13,
                                                                                                                                                                 String outputName14,
                                                                                                                                                                 String outputName15,
                                                                                                                                                                 String outputName16,
                                                                                                                                                                 String outputName17)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
        `T16` - the type of the sixteenth output
        `T17` - the type of the seventeenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
        `outputName16` - the name of the sixteenth output
        `outputName17` - the name of the seventeenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18> scala.Tuple18<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18> getTuple(String outputName1,
                                                                                                                                                                         String outputName2,
                                                                                                                                                                         String outputName3,
                                                                                                                                                                         String outputName4,
                                                                                                                                                                         String outputName5,
                                                                                                                                                                         String outputName6,
                                                                                                                                                                         String outputName7,
                                                                                                                                                                         String outputName8,
                                                                                                                                                                         String outputName9,
                                                                                                                                                                         String outputName10,
                                                                                                                                                                         String outputName11,
                                                                                                                                                                         String outputName12,
                                                                                                                                                                         String outputName13,
                                                                                                                                                                         String outputName14,
                                                                                                                                                                         String outputName15,
                                                                                                                                                                         String outputName16,
                                                                                                                                                                         String outputName17,
                                                                                                                                                                         String outputName18)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
        `T16` - the type of the sixteenth output
        `T17` - the type of the seventeenth output
        `T18` - the type of the eighteenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
        `outputName16` - the name of the sixteenth output
        `outputName17` - the name of the seventeenth output
        `outputName18` - the name of the eighteenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19> scala.Tuple19<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19> getTuple(String outputName1,
                                                                                                                                                                                 String outputName2,
                                                                                                                                                                                 String outputName3,
                                                                                                                                                                                 String outputName4,
                                                                                                                                                                                 String outputName5,
                                                                                                                                                                                 String outputName6,
                                                                                                                                                                                 String outputName7,
                                                                                                                                                                                 String outputName8,
                                                                                                                                                                                 String outputName9,
                                                                                                                                                                                 String outputName10,
                                                                                                                                                                                 String outputName11,
                                                                                                                                                                                 String outputName12,
                                                                                                                                                                                 String outputName13,
                                                                                                                                                                                 String outputName14,
                                                                                                                                                                                 String outputName15,
                                                                                                                                                                                 String outputName16,
                                                                                                                                                                                 String outputName17,
                                                                                                                                                                                 String outputName18,
                                                                                                                                                                                 String outputName19)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
        `T16` - the type of the sixteenth output
        `T17` - the type of the seventeenth output
        `T18` - the type of the eighteenth output
        `T19` - the type of the nineteenth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
        `outputName16` - the name of the sixteenth output
        `outputName17` - the name of the seventeenth output
        `outputName18` - the name of the eighteenth output
        `outputName19` - the name of the nineteenth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20> scala.Tuple20<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20> getTuple(String outputName1,
                                                                                                                                                                                         String outputName2,
                                                                                                                                                                                         String outputName3,
                                                                                                                                                                                         String outputName4,
                                                                                                                                                                                         String outputName5,
                                                                                                                                                                                         String outputName6,
                                                                                                                                                                                         String outputName7,
                                                                                                                                                                                         String outputName8,
                                                                                                                                                                                         String outputName9,
                                                                                                                                                                                         String outputName10,
                                                                                                                                                                                         String outputName11,
                                                                                                                                                                                         String outputName12,
                                                                                                                                                                                         String outputName13,
                                                                                                                                                                                         String outputName14,
                                                                                                                                                                                         String outputName15,
                                                                                                                                                                                         String outputName16,
                                                                                                                                                                                         String outputName17,
                                                                                                                                                                                         String outputName18,
                                                                                                                                                                                         String outputName19,
                                                                                                                                                                                         String outputName20)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
        `T16` - the type of the sixteenth output
        `T17` - the type of the seventeenth output
        `T18` - the type of the eighteenth output
        `T19` - the type of the nineteenth output
        `T20` - the type of the twentieth output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
        `outputName16` - the name of the sixteenth output
        `outputName17` - the name of the seventeenth output
        `outputName18` - the name of the eighteenth output
        `outputName19` - the name of the nineteenth output
        `outputName20` - the name of the twentieth output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21> scala.Tuple21<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21> getTuple(String outputName1,
                                                                                                                                                                                                 String outputName2,
                                                                                                                                                                                                 String outputName3,
                                                                                                                                                                                                 String outputName4,
                                                                                                                                                                                                 String outputName5,
                                                                                                                                                                                                 String outputName6,
                                                                                                                                                                                                 String outputName7,
                                                                                                                                                                                                 String outputName8,
                                                                                                                                                                                                 String outputName9,
                                                                                                                                                                                                 String outputName10,
                                                                                                                                                                                                 String outputName11,
                                                                                                                                                                                                 String outputName12,
                                                                                                                                                                                                 String outputName13,
                                                                                                                                                                                                 String outputName14,
                                                                                                                                                                                                 String outputName15,
                                                                                                                                                                                                 String outputName16,
                                                                                                                                                                                                 String outputName17,
                                                                                                                                                                                                 String outputName18,
                                                                                                                                                                                                 String outputName19,
                                                                                                                                                                                                 String outputName20,
                                                                                                                                                                                                 String outputName21)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
        `T16` - the type of the sixteenth output
        `T17` - the type of the seventeenth output
        `T18` - the type of the eighteenth output
        `T19` - the type of the nineteenth output
        `T20` - the type of the twentieth output
        `T21` - the type of the twenty-first output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
        `outputName16` - the name of the sixteenth output
        `outputName17` - the name of the seventeenth output
        `outputName18` - the name of the eighteenth output
        `outputName19` - the name of the nineteenth output
        `outputName20` - the name of the twentieth output
        `outputName21` - the name of the twenty-first output
      Returns:
        a Scala tuple

    - #### getTuple

          public <T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21,T22> scala.Tuple22<T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T16,T17,T18,T19,T20,T21,T22> getTuple(String outputName1,
                                                                                                                                                                                                         String outputName2,
                                                                                                                                                                                                         String outputName3,
                                                                                                                                                                                                         String outputName4,
                                                                                                                                                                                                         String outputName5,
                                                                                                                                                                                                         String outputName6,
                                                                                                                                                                                                         String outputName7,
                                                                                                                                                                                                         String outputName8,
                                                                                                                                                                                                         String outputName9,
                                                                                                                                                                                                         String outputName10,
                                                                                                                                                                                                         String outputName11,
                                                                                                                                                                                                         String outputName12,
                                                                                                                                                                                                         String outputName13,
                                                                                                                                                                                                         String outputName14,
                                                                                                                                                                                                         String outputName15,
                                                                                                                                                                                                         String outputName16,
                                                                                                                                                                                                         String outputName17,
                                                                                                                                                                                                         String outputName18,
                                                                                                                                                                                                         String outputName19,
                                                                                                                                                                                                         String outputName20,
                                                                                                                                                                                                         String outputName21,
                                                                                                                                                                                                         String outputName22)

      Obtain a Scala tuple.
      Type Parameters:
        `T1` - the type of the first output
        `T2` - the type of the second output
        `T3` - the type of the third output
        `T4` - the type of the fourth output
        `T5` - the type of the fifth output
        `T6` - the type of the sixth output
        `T7` - the type of the seventh output
        `T8` - the type of the eighth output
        `T9` - the type of the ninth output
        `T10` - the type of the tenth output
        `T11` - the type of the eleventh output
        `T12` - the type of the twelfth output
        `T13` - the type of the thirteenth output
        `T14` - the type of the fourteenth output
        `T15` - the type of the fifteenth output
        `T16` - the type of the sixteenth output
        `T17` - the type of the seventeenth output
        `T18` - the type of the eighteenth output
        `T19` - the type of the nineteenth output
        `T20` - the type of the twentieth output
        `T21` - the type of the twenty-first output
        `T22` - the type of the twenty-second output
      Parameters:
        `outputName1` - the name of the first output
        `outputName2` - the name of the second output
        `outputName3` - the name of the third output
        `outputName4` - the name of the fourth output
        `outputName5` - the name of the fifth output
        `outputName6` - the name of the sixth output
        `outputName7` - the name of the seventh output
        `outputName8` - the name of the eighth output
        `outputName9` - the name of the ninth output
        `outputName10` - the name of the tenth output
        `outputName11` - the name of the eleventh output
        `outputName12` - the name of the twelfth output
        `outputName13` - the name of the thirteenth output
        `outputName14` - the name of the fourteenth output
        `outputName15` - the name of the fifteenth output
        `outputName16` - the name of the sixteenth output
        `outputName17` - the name of the seventeenth output
        `outputName18` - the name of the eighteenth output
        `outputName19` - the name of the nineteenth output
        `outputName20` - the name of the twentieth output
        `outputName21` - the name of the twenty-first output
        `outputName22` - the name of the twenty-second output
      Returns:
        a Scala tuple

    - #### getSymbolTable

          public LocalVariableMap getSymbolTable()

      Obtain the symbol table, which is essentially a `Map<String, Data>` representing variables and their values as SystemDS representations.
      Returns:
        the symbol table

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 The Apache Software Foundation. All rights reserved.